%global python3_pkgversion 38
%global python3_other_pkgversion 3

# Our EL8 buildroots default to Python 3.8, but let's also build 3.6, just to be safe
# to make dnf happy
%if 0%{?rhel} == 8
%bcond_without python36
%else
%bcond_with python36
%endif

%global debug_package %{nil}
# Created by pyp2rpm-3.3.3
%global pypi_name PyYAML
%global srcname pyyaml

Name:           python-%{srcname}
Version:        5.4.1
Release:        7%{?dist}
Summary:        YAML parser and emitter for Python

License:        MIT
URL:            https://pyyaml.org/
Source0:        https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

BuildRequires:  gcc
BuildRequires:  libyaml-devel


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Provides:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-yaml}
Provides:       python%{python3_pkgversion}-yaml = %{version}-%{release}

%if %{with python36}
%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python36-devel
BuildRequires:  python3-setuptools
Provides:       python3-yaml = %{version}-%{release}
Provides:       python3-%{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-yaml}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python3-%{srcname}
%{summary}
%endif

%description -n python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
set -ex
%py3_build
%if %{with python36}
/usr/bin/python3.6 setup.py build '--executable=/usr/bin/python3.6 -s'
%endif


%install
set -ex
%py3_install
%if %{with python36}
/usr/bin/python3.6 setup.py install --skip-build --root %{buildroot}
%endif


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%{python3_sitearch}/_yaml
%{python3_sitearch}/yaml
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with python36}
%files -n python3-%{srcname}
%license LICENSE
/usr/lib64/python3.6/site-packages/_yaml
/usr/lib64/python3.6/site-packages/yaml
/usr/lib64/python3.6/site-packages/%{pypi_name}-%{version}-py*.egg-info
%endif


%changelog
* Wed Sep 22 2021 Evgeni Golov - 5.4.1-3
- Correct provides for Python 3.8

* Wed Sep 08 2021 Evgeni Golov - 5.4.1-2
- Build against Python 3.8

* Wed May 12 2021 Evgeni Golov 5.4.1-1
- Update to 5.4.1

* Tue Jan  5 2021 Evgeni Golov - 5.3.1-3
- Also provide 'yaml' name

* Tue Aug 25 2020 Evgeni Golov - 5.3.1-2
- Provide PyYAML name too

* Tue Apr 14 2020 Evgeni Golov 5.3.1-1
- Update to 5.3.1

* Wed Mar 18 2020 Samir Jha 5.3-1
- Update to 5.3

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 5.2-2
- Bump release to build for el8

* Fri Dec 13 2019 Evgeni Golov 5.2-1
- Update to 5.2

* Mon Nov 18 2019 Evgeni Golov - 5.1.2-1
- Initial package.
